org.apache.sling.scripting.thymeleaf.internal.processor

## Class SlingIncludeAttributeTagProcessor

- java.lang.Object
- - org.thymeleaf.processor.AbstractProcessor
  - - org.thymeleaf.processor.element.AbstractElementTagProcessor
    - - org.thymeleaf.processor.element.AbstractAttributeTagProcessor
      - - org.apache.sling.scripting.thymeleaf.internal.processor.SlingIncludeAttributeTagProcessor

All Implemented Interfaces:
  org.thymeleaf.processor.element.IElementProcessor, org.thymeleaf.processor.element.IElementTagProcessor, org.thymeleaf.processor.IProcessor

    public class SlingIncludeAttributeTagProcessor
    extends org.thymeleaf.processor.element.AbstractAttributeTagProcessor

### Field Summary

Fields
`static String` `ADD_SELECTORS_ATTRIBUTE_NAME`
`static String` `ATTRIBUTE_NAME`
`static int` `ATTRIBUTE_PRECEDENCE`
`static String` `REPLACE_SELECTORS_ATTRIBUTE_NAME`
`static String` `REPLACE_SUFFIX_ATTRIBUTE_NAME`
`static String` `RESOURCE_TYPE_ATTRIBUTE_NAME`
`static String` `UNWRAP_ATTRIBUTE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`SlingIncludeAttributeTagProcessor(String dialectPrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `dispatch(org.apache.sling.api.resource.Resource resource, String path, org.apache.sling.api.SlingHttpServletRequest slingHttpServletRequest, org.apache.sling.api.SlingHttpServletResponse slingHttpServletResponse, org.apache.sling.api.request.RequestDispatcherOptions requestDispatcherOptions)`
`protected void` `doProcess(org.thymeleaf.context.ITemplateContext templateContext, org.thymeleaf.model.IProcessableElementTag processableElementTag, org.thymeleaf.engine.AttributeName attributeName, String attributeValue, org.thymeleaf.processor.element.IElementTagStructureHandler elementTagStructureHandler)`
`protected Object` `parseAttribute(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser, org.thymeleaf.context.ITemplateContext templateContext, org.thymeleaf.model.IProcessableElementTag processableElementTag, org.thymeleaf.processor.element.IElementTagStructureHandler elementTagStructureHandler, String name)`
`protected org.apache.sling.api.request.RequestDispatcherOptions` `prepareRequestDispatcherOptions(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser, org.thymeleaf.context.ITemplateContext templateContext, org.thymeleaf.model.IProcessableElementTag processableElementTag, org.thymeleaf.processor.element.IElementTagStructureHandler elementTagStructureHandler)`

### Methods inherited from class org.thymeleaf.processor.element.AbstractAttributeTagProcessor

`doProcess`

### Methods inherited from class org.thymeleaf.processor.element.AbstractElementTagProcessor

`getDialectPrefix, getMatchingAttributeName, getMatchingElementName, process`

### Methods inherited from class org.thymeleaf.processor.AbstractProcessor

`getPrecedence, getTemplateMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.thymeleaf.processor.IProcessor

`getPrecedence, getTemplateMode`

### Field Detail

#### ATTRIBUTE_PRECEDENCE

    public static final int ATTRIBUTE_PRECEDENCE

See Also:
  Constant Field Values

#### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### ADD_SELECTORS_ATTRIBUTE_NAME

    public static final String ADD_SELECTORS_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### REPLACE_SELECTORS_ATTRIBUTE_NAME

    public static final String REPLACE_SELECTORS_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### REPLACE_SUFFIX_ATTRIBUTE_NAME

    public static final String REPLACE_SUFFIX_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### RESOURCE_TYPE_ATTRIBUTE_NAME

    public static final String RESOURCE_TYPE_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### UNWRAP_ATTRIBUTE_NAME

    public static final String UNWRAP_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### SlingIncludeAttributeTagProcessor

    public SlingIncludeAttributeTagProcessor(String dialectPrefix)

### Method Detail

#### doProcess

    protected void doProcess(org.thymeleaf.context.ITemplateContext templateContext,
                             org.thymeleaf.model.IProcessableElementTag processableElementTag,
                             org.thymeleaf.engine.AttributeName attributeName,
                             String attributeValue,
                             org.thymeleaf.processor.element.IElementTagStructureHandler elementTagStructureHandler)

Specified by:
  `doProcess` in class `org.thymeleaf.processor.element.AbstractAttributeTagProcessor`

#### parseAttribute

    protected Object parseAttribute(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser,
                                    org.thymeleaf.context.ITemplateContext templateContext,
                                    org.thymeleaf.model.IProcessableElementTag processableElementTag,
                                    org.thymeleaf.processor.element.IElementTagStructureHandler elementTagStructureHandler,
                                    String name)

#### prepareRequestDispatcherOptions

    protected org.apache.sling.api.request.RequestDispatcherOptions prepareRequestDispatcherOptions(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser,
                                                                                                    org.thymeleaf.context.ITemplateContext templateContext,
                                                                                                    org.thymeleaf.model.IProcessableElementTag processableElementTag,
                                                                                                    org.thymeleaf.processor.element.IElementTagStructureHandler elementTagStructureHandler)

#### dispatch

    protected String dispatch(org.apache.sling.api.resource.Resource resource,
                              String path,
                              org.apache.sling.api.SlingHttpServletRequest slingHttpServletRequest,
                              org.apache.sling.api.SlingHttpServletResponse slingHttpServletResponse,
                              org.apache.sling.api.request.RequestDispatcherOptions requestDispatcherOptions)

Parameters:
  `resource` - the resource to include
  `path` - the path to include
  `slingHttpServletRequest` - the current request
  `slingHttpServletResponse` - the current response
  `requestDispatcherOptions` - the options for the request dispatcher
Returns:
  the character response from the include call to request dispatcher
See Also:
  "org.apache.sling.scripting.jsp.taglib.IncludeTagHandler"